petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscClassRegLogRegister

Registers a class for logging operations in an application code.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscClassRegLogRegister(PetscClassRegLog classLog, const char cname[], PetscClassId classid)

Not Collective

### Input Parameters

| classLog | - The ClassLog
| cname | - The name associated with the class

### Output Parameter

classid -The classid

### Keywords

log, class, register

### See Also

PetscClassIdRegister()

Level:developer
Location:src/sys/logging/utils/classlog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages